Skip to main content
POST
/
api
/
v3
/
admin
/
webhook_endpoints
/
{id}
/
send_test
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

// Fires a synthetic `webhook.test` delivery so you can verify the endpoint is
// reachable and your signature-verification code accepts Spree's payloads.
const delivery = await client.webhookEndpoints.sendTest('whe_xxx')
{
  "id": "whd_UkLWZg9DAJ",
  "event_name": "webhook.test",
  "event_id": null,
  "response_code": null,
  "execution_time": null,
  "error_type": null,
  "request_errors": null,
  "response_body": null,
  "success": null,
  "payload": {
    "id": "9ac8d08d-e321-4228-98c1-5e4bd30d7e16",
    "name": "webhook.test",
    "created_at": "2026-06-05T13:13:17Z",
    "data": {
      "message": "This is a test webhook from Spree."
    },
    "metadata": {
      "spree_version": "5.5.0.beta"
    }
  },
  "created_at": "2026-06-05T13:13:17.450Z",
  "updated_at": "2026-06-05T13:13:17.450Z",
  "delivered_at": null,
  "webhook_endpoint_id": "whe_UkLWZg9DAJ",
  "webhook_endpoint_url": "https://shop.example.com/webhooks/orders"
}

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Bearer token for admin authentication

Path Parameters

id
string
required

Webhook endpoint ID

Response

201 - application/json

test delivery queued